> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enginy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update contact AI variable folder

> Update a contact AI variable folder name or parent. Moving a folder into one of its descendants is not allowed.

    > **Required scope:** `AI_VARIABLES_WRITE`
    >
    > **Rate limit:** 30 requests per minute



## OpenAPI

````yaml https://openapi.enginy.ai/definitions.json patch /v1/ai-variables/folders/contacts/{folderId}
openapi: 3.1.0
info:
  title: Enginy API
  version: 1.0.0
  description: Public API for Enginy platform
servers:
  - url: https://openapi.enginy.ai
    description: Configured server
security: []
tags:
  - name: AI Variables
    description: >-
      Manage AI variables and discover the entity fields you can reference in
      prompts and entity requests.
  - name: Inbox
    description: >-
      Inbox endpoints for listing contact threads, reading thread messages,
      managing tags, and sending manual replies.
  - name: Workflows
    description: >-
      Build, validate, publish, run, and inspect advanced (graph) workflows,
      plus the block/condition catalog needed to author a workflow plan.
paths:
  /v1/ai-variables/folders/contacts/{folderId}:
    patch:
      tags:
        - AI Variables
      summary: Update contact AI variable folder
      description: >-
        Update a contact AI variable folder name or parent. Moving a folder into
        one of its descendants is not allowed.

            > **Required scope:** `AI_VARIABLES_WRITE`
            >
            > **Rate limit:** 30 requests per minute
      parameters:
        - schema:
            type: string
            description: AI variable folder ID
          required: true
          description: AI variable folder ID
          name: folderId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  description: Updated folder name.
                parentId:
                  type:
                    - integer
                    - 'null'
                  exclusiveMinimum: 0
                  description: Updated parent folder ID or `null` to move to root.
              additionalProperties: false
      responses:
        '200':
          description: Folder updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                      parentId:
                        type:
                          - number
                          - 'null'
                      entity:
                        type: string
                        enum:
                          - CONTACT
                          - COMPANY
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                    required:
                      - id
                      - name
                      - parentId
                      - entity
                      - createdAt
                      - updatedAt
                required:
                  - status
                  - message
                  - data
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````